package cz.moneta.test.regression.channels.branch.archive;

import cz.moneta.dataprepare.CustomerDataPrepare;
import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.ufo.banka.tasks.BankaTasks;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import org.junit.jupiter.api.Disabled;

import static cz.moneta.test.harness.annotations.Environment.EDU;
import static cz.moneta.test.harness.annotations.Environment.PPE;
import static cz.moneta.test.harness.annotations.Environment.TST1;

@Disabled
@TestScenario(name = "Teller must be able to crate a new mutual funds")
public class CreateNewCustomerWithMutualFunds extends CustomerDataPrepare {

    @TestCase(name = "Bank teller is able to login and create a new mutual funds", environments = {TST1, PPE, EDU})
    @JiraTestCase(id = "POB-T10634")
    public void tc_bank_teller_is_able_create_new_mutual_funds(Harness harness) {
        BankaTasks tasks = harness.tasks().ufo().banka();
        String feePlan = "Tom Plus";

        harness.withUfo()
                .openLoginPage()
                .then(tasks.login().withCredentialsAndTurnOffSignpad(credentials))
                .then(tasks.search().findByCif(newCustomerCif))
                .then(tasks.newProduct().createNewCurrentAccount(feePlan))
                .then(tasks.newProduct().createNewMutualFunds());
    }
}
